#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySailingaChievementLevelCFGData
{
	//等级
	int mLevel;
	//所需成就
	int mNeedAchievement;
	//道具ID
	std::vector<int> mItemID;
	//道具数量
	std::vector<int> mItemCount;
};

class M_ActivitySailingaChievementLevelCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaChievementLevelCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaChievementLevelCFGData* GetData(int Level);
	boost::unordered_map<int, M_ActivitySailingaChievementLevelCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySailingaChievementLevelCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySailingaChievementLevelCFGData> mMapData;
};
